/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
#if 0

#define MODULE_NAME "delphtyp"
#define COPYRIGHT   "1995 SOS GmbH Berlin"
#define AUTHOR      "Joacim Zschimmer"

#include <sos.h>
#include <sosfield.h>
#include <delphtyp.h>

//---------------------------------------------------------------------------------------static

Delphi_string_type delphi_string_type;

//--------------------------------------------------------------------Delphi_string_type::print

void Delphi_string_type::print( const Byte* p, ostream* s, const Text_format& f ) const
{
    s->write( p + 1, *p );
}

//--------------------------------------------------------------------Delphi_string_type::input

void Delphi_string_type::input( Byte* p, istream* s, const Text_format& f ) const
{
    s->read( p + 1, _size );
    *p = s->gcount();

    if( s->peek() != EOF ) {
        char c [30];
        s->read( c, sizeof c );
        Syntax_error x ( "SOS-1196" );
        x.insert( c, s->gcount() );
        throw x;
    }
}




